# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 20c4f122543b67c0cdcefd151eb38b3bee599c10
    parent 821a6e00a5a9395f40c10c00d19c569bd0f2688e
    Author: noname <noname@inventati.org>
    Date:   Mon, 28 Apr 2014 02:03:04 +0400

    tresize return value is not used

    Signed-off-by: Roberto E. Vargas Caballero <k0ga@shike2.com>

    Diffstat:
    Mst.c | 13+++++++------

    1 file changed, 7 insertions(+), 6 deletions(-)
    diff --git a/st.c b/st.c
    @@ -382,7 +382,7 @@ static void tnewline(int);
     static void tputtab(int);
     static void tputc(char *, int);
     static void treset(void);
    -static int tresize(int, int);
    +static void tresize(int, int);
     static void tscrollup(int, int);
     static void tscrolldown(int, int);
     static void tsetattr(int *, int);
    @@ -2656,7 +2656,7 @@ tputc(char *c, int len) {
     	}
     }

    -int
    +void
     tresize(int col, int row) {
     	int i;
     	int minrow = MIN(row, term.row);
    @@ -2666,8 +2666,11 @@ tresize(int col, int row) {
     	Line *orig;
     	TCursor c;

    -	if(col < 1 || row < 1)
    -		return 0;
    +	if(col < 1 || row < 1) {
    +		fprintf(stderr,
    +		        "tresize: error resizing to %dx%d\n", col, row);
    +		return;
    +	}

     	/* free unneeded rows */
     	i = 0;
    @@ -2738,8 +2741,6 @@ tresize(int col, int row) {
     		tcursor(CURSOR_LOAD);
     	} while(orig != term.line);
     	term.c = c;
    -
    -	return (slide > 0);
     }

     void